# Uses of Class
org.apache.avro.Protocol

Packages that use Protocol
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.reflect
Use Java reflection to generate schemas and protocols for existing classes.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of Protocol in org.apache.avro

Methods in org.apache.avro that return Protocol
Modifier and Type
Method
Description
`static Protocol`
Protocol.`parse(File file)`
Read a protocol from a Json file.
`static Protocol`
Protocol.`parse(InputStream stream)`
Read a protocol from a Json stream.
`static Protocol`
Protocol.`parse(String string)`
Read a protocol from a Json string.
`static Protocol`
Protocol.`parse(String string, String... more)`
Read a protocol from one or more json strings
Constructors in org.apache.avro with parameters of type Protocol
Modifier
Constructor
Description
``
`Protocol(Protocol p)`
Constructs a similar Protocol instance with the same `name`, `doc`, and `namespace` as {code p} has.

## Uses of Protocol in org.apache.avro.reflect

Methods in org.apache.avro.reflect that return Protocol
Modifier and Type
Method
Description
`Protocol`
ReflectData.`getProtocol(Class iface)`
Return the protocol for a Java interface.

## Uses of Protocol in org.apache.avro.specific

Methods in org.apache.avro.specific that return Protocol
Modifier and Type
Method
Description
`Protocol`
SpecificData.`getProtocol(Class iface)`
Return the protocol for a Java interface.